TESTS = fex1 fex2 fex3

LIB	= ../src/libvopl.a 
LIBS	= -lsuntool -lsunwindow -lpixrect

.SUFFIXES: .F .o

FSRC = fex1.F fex2.F fex3.F

FOBJS = fex1.o fex2.o fex3.o

.F.o:
	f77 -c $(MFFLAGS) $*.F

MFFLAGS = -f68881 -g

FFLAGS = $(MFFLAGS)

all: $(TESTS)

fex1: fex1.o $(LIB)
	f77 $(MFFLAGS) -o $@ $@.o $(LIB) $(WHERELIBS) -lhershey $(LIBS)

fex2: fex2.o $(LIB)
	f77 $(MFFLAGS) -o $@ $@.o $(LIB) $(WHERELIBS) -lhershey $(LIBS)

fex3: fex3.o $(LIB)
	f77 $(MFFLAGS) -o $@ $@.o $(LIB) $(WHERELIBS) -lhershey $(LIBS)


clean:
	rm -f *.o core

clobber:
	rm -f $(TESTS) *.o core
